public static interface DataFormatEndpointBuilderFactory.DataFormatBuilders
| Modifier and Type | Method and Description |
|---|---|
default DataFormatEndpointBuilderFactory.DataFormatEndpointBuilder |
dataformat(String path)
Data Format (camel-dataformat)
Use a Camel Data Format as a regular Camel Component.
|
default DataFormatEndpointBuilderFactory.DataFormatEndpointBuilder |
dataformat(String componentName,
String path)
Data Format (camel-dataformat)
Use a Camel Data Format as a regular Camel Component.
|
default DataFormatEndpointBuilderFactory.DataFormatEndpointBuilder dataformat(String path)
dataformat:name:operation
Path parameter: name (required)
Name of data format
Path parameter: operation (required)
Operation to use either marshal or unmarshal
There are 2 enums and the value can be one of: marshal, unmarshalpath - name:operationdefault DataFormatEndpointBuilderFactory.DataFormatEndpointBuilder dataformat(String componentName, String path)
dataformat:name:operation
Path parameter: name (required)
Name of data format
Path parameter: operation (required)
Operation to use either marshal or unmarshal
There are 2 enums and the value can be one of: marshal, unmarshalcomponentName - to use a custom component name for the endpoint
instead of the default namepath - name:operationApache Camel